/**
 * 
 */
package com.vromtr.tabbedmaps;

import android.app.AlertDialog;
import android.content.Context;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;

/**
 * @author Zealot
 *
 */
public class TapLocationsOverlay extends MyLocationOverlay {

	Context mContext;
	
	/**
	 * @param context
	 * @param mapView
	 */
	public TapLocationsOverlay(Context context, MapView mapView) {
		super(context, mapView);
		mContext = context;
	}
	
	@Override
	public boolean onTap(GeoPoint p, MapView map) {

		//When tapping a location on THIS overlay, display latitude and longitude for development convenience
		//The overlay ON TOP of this one has marker pins, so it will grab touch event first
		//If you didn't touch a marker pin (and touched empty space), this overlay gets a shot to handle the event
		//and does so by popping up a latitude/longitude dialog.
		
		AlertDialog.Builder dialog = new AlertDialog.Builder(mContext);
		dialog.setTitle("Location");
		dialog.setMessage(p.toString());
		dialog.show();
		
		return true;
	}

}
